#
# IMPORTANT NOTE
#
# This chart inherits from our common library chart. You can check the default values/options here:
# https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml
#

image:
  # -- image repository
  repository: nodered/node-red
  # -- image tag
  # @default -- chart.appVersion
  tag:
  # -- image pull policy
  pullPolicy: IfNotPresent

# -- environment variables. See [image docs](https://nodered.org/docs/getting-started/docker) for more details.
# @default -- See below
env:
  # -- Set the container timezone
  TZ: UTC
  # -- Node.js runtime arguments
  NODE_OPTIONS:
  # -- Setting to `true` starts Node-RED with the projects feature enabled
  NODE_RED_ENABLE_PROJECTS:
  # -- Setting to `true` starts Node-RED in safe (not running) mode
  NODE_RED_ENABLE_SAFE_MODE:
  # -- Location of the flows configuration file.
  # If you set `FLOWS: ""` then the flow file can be set via the `flowFile` property in the `settings.js` file.
  FLOWS: flows.json

# -- Configures service settings for the chart.
# @default -- See values.yaml
service:
  main:
    ports:
      http:
        port: 1880

ingress:
  # -- Enable and configure ingress settings for the chart under this key.
  # @default -- See values.yaml
  main:
    enabled: false

# -- Configure persistence settings for the chart under this key.
# @default -- See values.yaml
persistence:
  data:
    enabled: false
    mountPath: /data
